JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class LMAccess.GROUP_INFO_2

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.LMAccess.GROUP_INFO_2

Enclosing interface:
  LMAccess

    public static class LMAccess.GROUP_INFO_2

extends Structure

The GROUP_INFO_2 structure contains information about a global group, including name, identifier, and resource attributes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` `grpi2_attributes` These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.
`WString` `grpi2_comment` Pointer to a null-terminated Unicode character string that contains a remark associated with the global group.
`int` `grpi2_group_id` Specifies a DWORD value that contains the relative identifier (RID) of the global group.
`WString` `grpi2_name` Pointer to a null-terminated Unicode character string that specifies the name of the global group.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`LMAccess.GROUP_INFO_2()`
`LMAccess.GROUP_INFO_2(Pointer memory)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### grpi2_name

    public WString grpi2_name

  Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### grpi2_comment

    public WString grpi2_comment

  Pointer to a null-terminated Unicode character string that contains a remark associated with the global group. This member can be a null string. The comment can contain MAXCOMMENTSZ characters.

### grpi2_group_id

    public int grpi2_group_id

  Specifies a DWORD value that contains the relative identifier (RID) of the global group.

### grpi2_attributes

    public int grpi2_attributes

  These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.

Constructor Detail

### LMAccess.GROUP_INFO_2

    public LMAccess.GROUP_INFO_2()

### LMAccess.GROUP_INFO_2

    public LMAccess.GROUP_INFO_2(Pointer memory)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.